From 7a46ee88d15a4e232205c76f2cecfb3237960470 Mon Sep 17 00:00:00 2001
From: SilvanScherrer <silvan.scherrer@aroa.ch>
Date: Fri, 12 Mar 2021 15:19:40 +0100
Subject: [PATCH 6/6] follow win for textmode open

---
 lib/curl_setup.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lib/curl_setup.h b/lib/curl_setup.h
index 22def2def..e64b769a8 100644
--- a/lib/curl_setup.h
+++ b/lib/curl_setup.h
@@ -725,7 +725,7 @@ int netware_init(void);
 /* In Windows the default file mode is text but an application can override it.
 Therefore we specify it explicitly. https://github.com/curl/curl/pull/258
 */
-#if defined(WIN32) || defined(MSDOS)
+#if defined(WIN32) || defined(MSDOS) || defined(__OS2__)
 #define FOPEN_READTEXT "rt"
 #define FOPEN_WRITETEXT "wt"
 #define FOPEN_APPENDTEXT "at"
-- 
2.30.2

